<h2 class="display-4">Dashboard</h2>

<div class="row">
  <div class="col-lg-2">
    <div class="card card-stats">
      <div class="card-body">
        <div class="row">
          <div class="col-5 col-md-4 text-center ">
            <i class="icon-invoice fas fa-file-invoice"></i>
          </div>
          <div class="col-7 col-md-8">
            <div class="numbers">
              <p class="card-category">Broj računa</p>
              <p class="card-title" id="broj_racuna">{{ predracuni_info.predracuni.length }}</p>
            </div>
          </div>
        </div>
        <hr style="background-color: black;">
      </div>
    </div>
  </div>

  <div class="col-lg-2">
    <div class="card card-stats">
      <div class="card-body">
        <div class="row">
          <div class="col-5 col-md-4 text-center ">
            <i class="icon-clients fas fa-users"></i>
          </div>
          <div class="col-7 col-md-8">
            <div class="numbers">
              <p class="card-category">Broj klijenata</p>
              <p class="card-title" id="broj_klijenata">{{ nalog_info.broj_klijenata }}</p>
            </div>
          </div>
        </div>
        <hr style="background-color: black;">
      </div>
    </div>
  </div>

  <div class="col-lg-4">
    <div class="card card-stats">
      <div class="card-body">
        <div class="row">
          <div class="col-5 col-md-4 text-center ">
            <i class="icon-unpaid fas fa-dollar-sign"></i>
          </div>
          <div class="col-7 col-md-8">
            <div class="numbers">
              <p class="card-category">Neplaćeno</p>
              <p class="card-title" id="neplaceno">{{ predracuni_info.neplaceno | number : '1.2-2' }}</p>
            </div>
          </div>
        </div>
        <hr style="background-color: black;">
      </div>
    </div>
  </div>

  <div class="col-lg-4">
    <div class="card card-stats">
      <div class="card-body">
        <div class="row">
          <div class="col-5 col-md-4 text-center ">
            <i class="icon-paid fas fa-dollar-sign"></i>
          </div>
          <div class="col-7 col-md-8">
            <div class="numbers">
              <p class="card-category">Plaćeno</p>
              <p class="card-title" id="placeno">{{ predracuni_info.placeno | number : '1.2-2' }}</p>
            </div>
          </div>
        </div>
        <hr style="background-color: black;">
      </div>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-lg-12">
    <div class="card">
      <div class="card-header">
        <h5 class="card-title">Zaduženja klijenata</h5>

      </div>
      <div class="card-body">
        <div class="chart-container" style="position: relative; ">
          <canvas baseChart [datasets]="barChartData" [labels]="barChartLabels" [options]="barChartOptions"
            [legend]="barChartLegend" [chartType]="barChartType">
          </canvas>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-lg-4">
    <div class="card">
      <div class="card-stats">

        <div class="card-body pie-chart">
          <h5>Tražene usluge:</h5>
          <canvas baseChart height="300" [data]="pieChartData" [labels]="pieChartLabels" [chartType]="pieChartType"
            [options]="pieChartOptions" [colors]="pieChartColors" [legend]="pieChartLegend">
          </canvas>
        </div>
        <hr style="background-color: black;">
      </div>
    </div>
  </div>

  <div class="col-lg-8">
    <div class="card">
      <div class="card-stats">
        <div class="card-body">
          <app-clients></app-clients>
        </div>
        <hr style="background-color: black;">
      </div>
    </div>
  </div>